Bug 2070661 - F36FailsToInstall: nextcloud-client
Summary: F36FailsToInstall: nextcloud-client
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-03-31 15:52 UTC by Miro Hrončok
Modified: 2022-05-08 16:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-08 16:13:30 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2022-03-31 15:52:08 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (nextcloud-client) Fails To Install in Fedora 36:

can't install nextcloud-client:
  - nothing provides libQt5Gui.so.5(Qt_5.15.2_PRIVATE_API)(64bit) needed by nextcloud-client-3.3.6-1.fc36.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --disablerepo='*' --enablerepo=local install nextcloud-client


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Scott Williams 2022-04-06 18:52:35 UTC
I saw this message and it blocked me from upgrading from Fedora 35 to Fedora 36 until I added --allowerasing.  However, I could re-install the nextcloud-client again after upgrade.  It is certainly unexpected that it would block a Fedora version upgrade, though.

Comment 2 Mukundan Ragavan 2022-04-07 00:26:04 UTC
This should be fixed now.

I did not notice that there was a qt5 update and pushed this update out. But, now I have rebuilt with the correct qt version. No --allowerasing should be needed.

Comment 3 Michel Alexandre Salim 2022-04-12 22:58:30 UTC
(In reply to Mukundan Ragavan from comment #2)
> This should be fixed now.

Thanks!

> 
> I did not notice that there was a qt5 update and pushed this update out.
> But, now I have rebuilt with the correct qt version. No --allowerasing
> should be needed.

we should probably upstream that fix: https://src.fedoraproject.org/rpms/nextcloud-client/blob/rawhide/f/gcc_12_fix.patch

upstream doesn't test with GCC 12 yet and my bug report from January just aged out due to inactivity - https://github.com/nextcloud/desktop/issues/4180

Comment 4 Mukundan Ragavan 2022-04-13 13:07:49 UTC
(In reply to Michel Alexandre Salim from comment #3)
> we should probably upstream that fix:
> https://src.fedoraproject.org/rpms/nextcloud-client/blob/rawhide/f/
> gcc_12_fix.patch
> 
> upstream doesn't test with GCC 12 yet and my bug report from January just
> aged out due to inactivity - https://github.com/nextcloud/desktop/issues/4180

yeah, this is a good point. I will submit a PR upstream

Comment 5 Miro Hrončok 2022-05-08 16:13:30 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.